Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCone Class Reference

`#include <vtkCone.h>`

Inheritance diagram for vtkCone:

[legend]
Collaboration diagram for vtkCone:

[legend]
List of all members.

## Detailed Description

implicit function for a cone

Date:
  2003/01/06 20:36:14

Revision:
  1.38

vtkCone computes the implicit function and function gradient for a cone. vtkCone is a concrete implementation of vtkImplicitFunction. The cone vertex is located at the origin with axis of rotation coincident with x-axis. (Use the superclass' vtkImplicitFunction transformation matrix if necessary to reposition.) The angle specifies the angle between the axis of rotation and the side of the cone.

Warning:
  The cone is infinite in extent. To truncate the cone use the vtkImplicitBoolean in combination with clipping planes.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (74%)
  - Martin, Ken (13%)
  - Kelly, Ann (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkCone.cxx)`
  - .`h` (`/Filtering/vtkCone.h)`

Examples:
  vtkCone (Examples)

Tests:
  vtkCone (Tests)

Definition at line 57 of file vtkCone.h.

## Public Types
typedef vtkImplicitFunction | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | EvaluateGradient (float x[3], float g[3])
float | EvaluateFunction (float x[3])
float | EvaluateFunction (float x, float y, float z)
virtual void | SetAngle (float)
virtual float | GetAngle ()
## Static Public Methods
vtkCone * | New ()
int | IsTypeOf (const char *type)
vtkCone * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkCone ()
| ~vtkCone ()
## Protected Attributes
float | Angle

## Member Typedef Documentation

typedef vtkImplicitFunction vtkCone::Superclass

| Reimplemented from vtkImplicitFunction. Definition at line 63 of file vtkCone.h.

## Constructor & Destructor Documentation

vtkCone::vtkCone | ( |  | ) | `[protected]`

vtkCone::~vtkCone | ( |  | ) | `[inline, protected]`

| Definition at line 84 of file vtkCone.h.

## Member Function Documentation

vtkCone* vtkCone::New | ( |  | ) | `[static]`

| Construct cone with angle of 45 degrees. Reimplemented from vtkObject.

virtual const char* vtkCone::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImplicitFunction.

int vtkCone::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImplicitFunction.

virtual int vtkCone::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImplicitFunction.

vtkCone* vtkCone::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImplicitFunction.

void vtkCone::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImplicitFunction.

float vtkCone::EvaluateFunction | ( | float | x[3] | ) | `[virtual]`

| Evaluate cone equation. Implements vtkImplicitFunction.

float vtkCone::EvaluateFunction | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[inline]`

| Evaluate cone equation. Reimplemented from vtkImplicitFunction. Definition at line 69 of file vtkCone.h. References vtkImplicitFunction::EvaluateFunction().

void vtkCone::EvaluateGradient | ( | float | x[3],
|  | float | g[3]
| ) | `[virtual]`

| Evaluate cone normal. Implements vtkImplicitFunction.

virtual void vtkCone::SetAngle | ( | float |  | ) | `[virtual]`

| Set/Get the cone angle (expressed in degrees).

virtual float vtkCone::GetAngle | ( |  | ) | `[virtual]`

| Set/Get the cone angle (expressed in degrees).

## Member Data Documentation

float vtkCone::Angle`[protected]`

| Definition at line 86 of file vtkCone.h.

The documentation for this class was generated from the following file:

- Filtering/vtkCone.h